var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { forwardRef } from 'react';
import { Range as FusionRange } from '@alifd/next';
import hoist from '../../utils/hoist';
function Range(props, ref) {
    return (React.createElement(FusionRange, __assign({ marksPosition: "below" }, props, { ref: ref })));
}
export default hoist(forwardRef(Range), FusionRange);
